Subject: bug#24547: 24.4; dired should colour in sockets and pipes

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Jul 2019 16:26:23 +0200

[email-masked] (Trent W. Buck) writes:

> With GNU ls --color in a terminal, different colors are used for
>
>     regular files,
>     directories,
>     symlinks,
>     sockets,
>     pipes,
>     (other stuff - dircolors?)
>
> In dired, the first three get different faces,
> but sockets and pipes look like regular files.
>
> I think it's probably easy to fix sockets and pipes,
> because the first character is "s" or "p",
> at least in GNU ls output.

Sounds reasonable.  I've now done this in Emacs 27, but I've used just a
single face for both sockets and pipes.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no